Subject: Re: [PATCH 6/6] Mention to the user that they can reorder commits

From: SZEDER Gábor <[email-masked]>
Date: Thu, 19 Feb 2009 11:16:38 +0100

On Thu, Feb 19, 2009 at 09:13:49AM +0000, Pieter de Bie wrote:
>
> On 19 feb 2009, at 07:37, John Tapsell wrote:
>
>> Signed-off-by: John Tapsell <[email-masked]>
>> ---
>
> Yes, this has been raised many times in #git now, so it makes
> sense to include it.

A similar idea came around last week, and in turn Dscho explained why
such a change is not a good idea.  I think he is fully right here.

<[email-masked]>
http://article.gmane.org/gmane.comp.version-control.git/109136

  On Mon, Feb 09, 2009 at 10:31:56PM +0100, Johannes Schindelin wrote:
  > If we start along those lines, we also have to add documentation how
  > to
  > 
  > - split commit,
  > 
  > - change authorship of commits,
  > 
  > - deal with commits where --cherry-pick did not detect that they were 
  >   applied already,
  > 
  > - deal with merge commits, and
  > 
  > - possibly a lot more.
  > 
  > I do not think that this is a good way to spend valuable screen
  > estate; I 
  > think that is what the man page should cover.
  > 
  > I only made an exception for the deletion of lines, as people were 
  > actively burnt.  Yes, they should have read the man page.  But the 
  > consequences of not doing so were bad.

Regards,
Gábor